# Uses of Class
org.eclipse.jface.viewers.DoubleClickEvent

Packages that use DoubleClickEvent
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of DoubleClickEvent in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type DoubleClickEvent
Modifier and Type
Method
Description
`void`
CompareViewerPane.`doubleClick(DoubleClickEvent event)`

## Uses of DoubleClickEvent in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type DoubleClickEvent
Modifier and Type
Method
Description
`void`
AbstractDebugView.`doubleClick(DoubleClickEvent event)`
Delegate to the `DOUBLE_CLICK_ACTION`, if any.

## Uses of DoubleClickEvent in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type DoubleClickEvent
Modifier and Type
Method
Description
`void`
IDoubleClickListener.`doubleClick(DoubleClickEvent event)`
Notifies of a double click.
`protected void`
StructuredViewer.`fireDoubleClick(DoubleClickEvent event)`
Notifies any double-click listeners that a double-click has been received.

## Uses of DoubleClickEvent in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type DoubleClickEvent
Modifier and Type
Method
Description
`protected void`
CommonNavigator.`handleDoubleClick(DoubleClickEvent anEvent)`
Note: This method is for internal use only.

## Uses of DoubleClickEvent in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type DoubleClickEvent
Modifier and Type
Method
Description
`protected void`
ProjectExplorer.`handleDoubleClick(DoubleClickEvent anEvent)`

## Uses of DoubleClickEvent in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator with parameters of type DoubleClickEvent
Modifier and Type
Method
Description
`protected void`
ResourceNavigator.`handleDoubleClick(DoubleClickEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a double-click event from the viewer.